#ifndef UTILS_H
#define UTILS_H

#include <stddef.h>

typedef int xbool;

#ifndef FALSE
#define FALSE (0)
#endif

#ifndef TRUE
#define TRUE (!FALSE)
#endif

void fatal (const char *msg, ...);

void *xmalloc (size_t bytes);
void *xcalloc (size_t nmemb, size_t bytes);
void *xrealloc (void  *ptr,
		size_t bytes);
void *xstrdup (const char *str);

#endif /* UTILS_H */
